[misc] try to make that darn Appx taskbar icon transparent

* Still doesn't work though :(
* Also some minor .sln and _pre-commit.sh improvements
This commit is contained in:
Pete Batard 2017-05-14 13:22:16 +01:00
parent 3d1b3bac40
commit 09181454dd
5 changed files with 33 additions and 22 deletions

View File

@ -12,13 +12,13 @@
type -P sed &>/dev/null || { echo "sed command not found. Aborting." >&2; exit 1; } type -P sed &>/dev/null || { echo "sed command not found. Aborting." >&2; exit 1; }
type -P git &>/dev/null || { echo "git command not found. Aborting." >&2; exit 1; } type -P git &>/dev/null || { echo "git command not found. Aborting." >&2; exit 1; }
VER=`git log --oneline | wc -l` TAGVER=`git rev-list HEAD --count`
# adjust so that we match the github commit count # adjust so that we match the github commit count
TAGVER=`expr $VER + 1` ((TAGVER++))
# there may be a better way to prevent improper micro on amend. For now the detection # there may be a better way to prevent improper micro on amend. For now the detection
# of a .amend file in the current directory will do # of a .amend file in the current directory will do
if [ -f ./.amend ]; then if [ -f ./.amend ]; then
TAGVER=`expr $TAGVER - 1` ((TAGVER--))
git tag -d "b$TAGVER" git tag -d "b$TAGVER"
rm ./.amend; rm ./.amend;
fi fi

View File

@ -8,14 +8,14 @@
for an interesting struggle, when you also happen to have a comma in one of the fields... --> for an interesting struggle, when you also happen to have a comma in one of the fields... -->
<Identity <Identity
Name="Rufus" Name="Rufus"
Version="2.15.1091.0" Version="2.15.1112.0"
ProcessorArchitecture="x86" ProcessorArchitecture="x86"
Publisher='CN=Akeo Consulting, O=Akeo Consulting, STREET="24, Grey Rock", L=Milford, S=Co Donegal, PostalCode=Co Donegal, C=IE' /> Publisher='CN=Akeo Consulting, O=Akeo Consulting, STREET="24, Grey Rock", L=Milford, S=Co Donegal, PostalCode=Co Donegal, C=IE' />
<Properties> <Properties>
<DisplayName>Rufus</DisplayName> <DisplayName>Rufus</DisplayName>
<PublisherDisplayName>Akeo Consulting</PublisherDisplayName> <PublisherDisplayName>Akeo Consulting</PublisherDisplayName>
<Description>Rufus</Description> <Description>Rufus</Description>
<Logo>Assets\Rufus-48.png</Logo> <Logo>Assets\Square44x44Logo.png</Logo>
</Properties> </Properties>
<Resources> <Resources>
<Resource Language="en-US" /> <Resource Language="en-US" />
@ -37,8 +37,8 @@
<uap:VisualElements <uap:VisualElements
BackgroundColor="transparent" BackgroundColor="transparent"
DisplayName="Rufus" DisplayName="Rufus"
Square150x150Logo="Assets\Rufus-150.png" Square150x150Logo="Assets\Square150x150Logo.png"
Square44x44Logo="Assets\Rufus-44.png" Square44x44Logo="Assets\Square44x44Logo.png"
Description="Rufus"> Description="Rufus">
<uap:DefaultTile> <uap:DefaultTile>
<uap:ShowNameOnTiles> <uap:ShowNameOnTiles>

View File

@ -1,15 +1,26 @@
@echo off @echo off
set VERSION=2.15 set VERSION=2.15
echo [Files]>mappings.lst
echo "..\icon-set\rufus-44.png" "Assets\Rufus-44.png">>mappings.lst rem Make sure you don't have anything you don't want included in the package, as anything residing in the
echo "..\icon-set\rufus-48.png" "Assets\Rufus-48.png">>mappings.lst rem current directory will be included, including any previous .appx, which makes for nice recursion...
echo "..\icon-set\rufus-150.png" "Assets\Rufus-150.png">>mappings.lst del /q *.appx >NUL 2>&1
echo "..\..\rufus-%VERSION%.exe" "rufus.exe">>mappings.lst
echo "AppxManifest.xml" "AppxManifest.xml">>mappings.lst rem According to the link below, you need "altform-unplated" icons and run MakePri to get transparent icons
"C:\Program Files (x86)\Windows Kits\10\bin\x64\MakeAppx" pack /o /f mappings.lst /p Rufus-%VERSION%.appx rem on the taskbar... Still doesn't seem to work though :(
rem https://social.msdn.microsoft.com/Forums/windowsapps/en-US/dc505f68-d120-43e3-a9e1-d7c77746d588/uwpdesktop-bridgeunplated-taskbar-icons-in-desktop-bridge-apps
mkdir Assets >NUL 2>&1
copy "..\icon-set\rufus-44.png" "Assets\Square44x44Logo.png"
copy "..\icon-set\rufus-48.png" "Assets\Square44x44Logo_targetsize-48.png"
copy "..\icon-set\rufus-48.png" "Assets\Square44x44Logo_targetsize-48_altform-unplated.png"
copy "..\icon-set\rufus-150.png" "Assets\Square150x150Logo.png"
copy "..\..\rufus-%VERSION%.exe" "rufus.exe"
"C:\Program Files (x86)\Windows Kits\10\bin\x64\MakePri" createconfig /o /dq en-US /cf priconfig.xml
"C:\Program Files (x86)\Windows Kits\10\bin\x64\MakePri" new /o /pr . /cf priconfig.xml
"C:\Program Files (x86)\Windows Kits\10\bin\x64\MakeAppx" pack /o /d . /p Rufus-%VERSION%.appx
if ERRORLEVEL 1 goto out if ERRORLEVEL 1 goto out
"C:\Program Files (x86)\Windows Kits\10\bin\x64\SignTool" sign /v /sha1 5759b23dc8f45e9120a7317f306e5b6890b612f0 /fd SHA256 /tr http://timestamp.comodoca.com/rfc3161 /td SHA256 Rufus-%VERSION%.appx "C:\Program Files (x86)\Windows Kits\10\bin\x64\SignTool" sign /v /sha1 5759b23dc8f45e9120a7317f306e5b6890b612f0 /fd SHA256 /tr http://timestamp.comodoca.com/rfc3161 /td SHA256 Rufus-%VERSION%.appx
:out :out
del mappings.lst del /q rufus.exe
rmdir /s /q Assets
pause pause
exit exit

View File

@ -1,6 +1,6 @@
Microsoft Visual Studio Solution File, Format Version 12.00 Microsoft Visual Studio Solution File, Format Version 12.00
# Visual Studio 14 # Visual Studio 15
VisualStudioVersion = 14.0.24720.0 VisualStudioVersion = 15.0.26228.9
MinimumVisualStudioVersion = 10.0.40219.1 MinimumVisualStudioVersion = 10.0.40219.1
Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "rufus", "src\.msvc\rufus.vcxproj", "{731858A7-0303-4988-877B-9C0DD6471864}" Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "rufus", "src\.msvc\rufus.vcxproj", "{731858A7-0303-4988-877B-9C0DD6471864}"
EndProject EndProject

View File

@ -33,7 +33,7 @@ LANGUAGE LANG_NEUTRAL, SUBLANG_NEUTRAL
IDD_DIALOG DIALOGEX 12, 12, 242, 376 IDD_DIALOG DIALOGEX 12, 12, 242, 376
STYLE DS_SETFONT | DS_MODALFRAME | DS_CENTER | WS_MINIMIZEBOX | WS_POPUP | WS_CAPTION | WS_SYSMENU STYLE DS_SETFONT | DS_MODALFRAME | DS_CENTER | WS_MINIMIZEBOX | WS_POPUP | WS_CAPTION | WS_SYSMENU
EXSTYLE WS_EX_ACCEPTFILES EXSTYLE WS_EX_ACCEPTFILES
CAPTION "Rufus 2.15.1112" CAPTION "Rufus 2.15.1113"
FONT 8, "Segoe UI Symbol", 400, 0, 0x0 FONT 8, "Segoe UI Symbol", 400, 0, 0x0
BEGIN BEGIN
LTEXT "Device",IDS_DEVICE_TXT,9,6,200,8 LTEXT "Device",IDS_DEVICE_TXT,9,6,200,8
@ -334,8 +334,8 @@ END
// //
VS_VERSION_INFO VERSIONINFO VS_VERSION_INFO VERSIONINFO
FILEVERSION 2,15,1112,0 FILEVERSION 2,15,1113,0
PRODUCTVERSION 2,15,1112,0 PRODUCTVERSION 2,15,1113,0
FILEFLAGSMASK 0x3fL FILEFLAGSMASK 0x3fL
#ifdef _DEBUG #ifdef _DEBUG
FILEFLAGS 0x1L FILEFLAGS 0x1L
@ -352,13 +352,13 @@ BEGIN
BEGIN BEGIN
VALUE "CompanyName", "Akeo Consulting (http://akeo.ie)" VALUE "CompanyName", "Akeo Consulting (http://akeo.ie)"
VALUE "FileDescription", "Rufus" VALUE "FileDescription", "Rufus"
VALUE "FileVersion", "2.15.1112" VALUE "FileVersion", "2.15.1113"
VALUE "InternalName", "Rufus" VALUE "InternalName", "Rufus"
VALUE "LegalCopyright", "© 2011-2017 Pete Batard (GPL v3)" VALUE "LegalCopyright", "© 2011-2017 Pete Batard (GPL v3)"
VALUE "LegalTrademarks", "http://www.gnu.org/copyleft/gpl.html" VALUE "LegalTrademarks", "http://www.gnu.org/copyleft/gpl.html"
VALUE "OriginalFilename", "rufus.exe" VALUE "OriginalFilename", "rufus.exe"
VALUE "ProductName", "Rufus" VALUE "ProductName", "Rufus"
VALUE "ProductVersion", "2.15.1112" VALUE "ProductVersion", "2.15.1113"
END END
END END
BLOCK "VarFileInfo" BLOCK "VarFileInfo"